%global commit 94664ddd46a61d06862fa8fb6ba7b9e054214f57
%global shortcommit %(c=%{commit}; echo ${c:0:12})
%global py2_builddir python2
%global py3_builddir python3
%global srcname suds
%global sum A python SOAP client
%global desc \
The suds project is a python soap web services client lib.  Suds leverages\
python meta programming to provide an intuitive API for consuming web\
services.  Objectification of types defined in the WSDL is provided\
without class generation.  Programmers rarely need to read the WSDL since\
services and WSDL based objects can be easily inspected.

%global py2_deps python%{?py2pkg_suffix}-devel python%{?py2pkg_suffix}-pytest python%{?py2pkg_suffix}-six

Summary: %{sum}
Name:  python-suds
Version: 0.7
Release: %mkrel 0.1.%{shortcommit}
Source0: suds-%{shortcommit}.tar.bz2
#Source0: https://bitbucket.org/jurko/suds/get/%{shortcommit}.tar.bz2
Patch0: fix_http_test.patch
License: LGPLv3+
Group: Development/Python
BuildArch: noarch
URL: https://bitbucket.org/jurko/suds

%description %{desc}

%{?python_provide:%python_provide python%{?py2pkg_suffix}-%{srcname}}

%package -n python3-%{srcname}
BuildRequires: python3-devel python3-pytest python3-six
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
%description -n python3-%{srcname} %{desc}

%prep
%setup -c -q
mv jurko-suds-%{shortcommit} %{py2_builddir}
pushd %{py2_builddir}
%patch0 -p1
popd
cp -a %{py2_builddir} %{py3_builddir}


%build
pushd %{py2_builddir}
%py2_build
popd
pushd %{py3_builddir}
%py3_build
popd


%install
pushd %{py2_builddir}
%py2_install
popd
pushd %{py3_builddir}
%py3_install
popd

%check
pushd %{py2_builddir}
%{__python2} setup.py test
popd
pushd %{py3_builddir}
%{__python3} setup.py test
popd

%files -n python-%{srcname}
%{python2_sitelib}/*
%doc %{py2_builddir}/README.rst
%license %{py2_builddir}/LICENSE.txt

%files -n python3-%{srcname}
%{python3_sitelib}/*
%doc %{py3_builddir}/README.rst
%license %{py3_builddir}/LICENSE.txt



%changelog
* Sun Nov 20 2016 joequant <joequant> 0.7-0.1.94664ddd46a6.mga6
+ Revision: 1068434
- upgrade to 0.7

* Thu Feb 04 2016 umeabot <umeabot> 0.4.1-11.mga6
+ Revision: 934815
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-10.mga5
+ Revision: 749083
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.1-9.mga5
+ Revision: 729852
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-8.mga5
+ Revision: 688370
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.1-6.mga4
+ Revision: 544353
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.1-5.mga4
+ Revision: 499506
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 19 2013 luigiwalser <luigiwalser> 0.4.1-4.mga4
+ Revision: 456285
- add patch from opensuse to fix CVE-2013-2127

* Sun Jan 13 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 379550
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 boklm <boklm> 0.4.1-2.mga2
+ Revision: 232083
- clean spec, fix group, fix BR
- imported package python-suds

